Bug 103138 - (NET E1000) LTC4104-[perf][netperf] poor throughput of e1000 in RHEL 3 B1
Summary: (NET E1000) LTC4104-[perf][netperf] poor throughput of e1000 in RHEL 3 B1
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 103278
TreeView+ depends on / blocked
 
Reported: 2003-08-26 21:14 UTC by IBM Bug Proxy
Modified: 2013-07-03 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 19:27:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description IBM Bug Proxy 2003-08-26 21:14:20 UTC
The following has be reported by IBM LTC:  
[perf][netperf] poor throughput of e1000 in RHAS 3.0 B1
Hardware Environment:
(2) x335's (2.0 GHz)
NIC on client cabled directly to like NIC on server
specific NIC defined in results section

Software Environment:
RHAS 3.0 B1
netperf-2.2pl3 TCP_STREAM test
results are averages of 5 60-second runs per send msg size
all standard deviations were acceptable (typically much less than 0.20%)
MTU 1500


Steps to Reproduce:
1. Install RHAS 3.0 B1 on client and server
2. Install netperf-2.2pl3 on client and server
3. Run netserver on server side
4. Run 5 60 second netperf TCP_STREAM tests from the client
5. Average the throughputs of all 5 runs, check for acceptable std dev


Actual Results:
Throughput (Mbits/s) per send message size
         1K      2K      4K      8K      16K     32K     64K
tg3      530.62  684.11  809.83  911.62  938.21  940.49  940.50
e1000    475.92  551.26  556.32  554.73  552.14  547.37  470.44


Expected Results:
The throughput for the e1000 driver included in RHAS 3.0 B1
should more more closely match that of tg3.


Additional Information:Glen / Greg
Talked to Barry, he wants problem reported to RedHat.  Thanks

Comment 1 IBM Bug Proxy 2003-08-29 14:49:49 UTC
------ Additional Comments From barndt@us.ibm.com  2003-29-08 10:34 -------
kernel version - vmlinuz-2.4.21-1.1931.2.349.2.2.entsmp 

Comment 2 IBM Bug Proxy 2003-08-29 19:25:57 UTC
------ Additional Comments From barndt@us.ibm.com  2003-29-08 15:11 -------
Bug does not exist in RHEL AS 3.0 beta2, results are very good. 

Comment 3 Arjan van de Ven 2003-08-29 19:27:48 UTC
yay!
Based on your comment, I assume there's no objection to closing this issue as
resolved. If this issue needs to be reopened feel free to do so. 


Note You need to log in before you can comment on or make changes to this bug.